spool c:\tfc\indices.log

/

REM TF2 T_LOG_INDEX

  CREATE INDEX "TF2"."T_LOG_INDEX" ON "TF2"."T_LOG" ("FECHA", "PROCEDIMIENTO");
/


REM TF2 T_CLIENTES_INDEX

  CREATE INDEX "TF2"."T_CLIENTES_INDEX" ON "TF2"."T_CLIENTES" ("NIF")   ;
/


REM TF2 T_DIRECCIONES_INDEX

  CREATE INDEX "TF2"."T_DIRECCIONES_INDEX" ON "TF2"."T_DIRECCIONES" ("PAIS", "LOCALIDAD")   ;

/

REM TF2 T_MODELO_INDEX

  CREATE INDEX "TF2"."T_MODELO_INDEX" ON "TF2"."T_MODELO" ("EMPRESAFAB", "MODELO")   ;

REM INDICES DE CLAVES FORANEAS


REM TF2 T_PRODUC_DIS_INDEX3

  CREATE INDEX "TF2"."T_PRODUC_DIS_INDEX3" ON "TF2"."T_PRODUC_DIS" ("ID_LINEACOM");

REM TF2 T_PRODUC_DIS_INDEX

  CREATE INDEX "TF2"."T_PRODUC_DIS_INDEX" ON "TF2"."T_PRODUC_DIS" ("ID_CENTRALPROD");

REM TF2 T_LECTURAS_INDEX

  CREATE INDEX "TF2"."T_LECTURAS_INDEX" ON "TF2"."T_LECTURAS" ("ID_CONTADOR");

REM TF2 T_CONTADOR_INDEX

  CREATE INDEX "TF2"."T_CONTADOR_INDEX" ON "TF2"."T_CONTADOR" ("ID_MODELO");

REM TF2 T_CONTADOR_INDE2

  CREATE INDEX "TF2"."T_CONTADOR_INDE2" ON "TF2"."T_CONTADOR" ("ID_DIRECCION");

REM TF2 T_CON_CENTRALES_INDEX

  CREATE INDEX "TF2"."T_CON_CENTRALES_INDEX" ON "TF2"."T_CON_CENTRALES" ("ID_CONTADOR");

REM TF2 T_CON_CENTRALES_INDE2

  CREATE INDEX "TF2"."T_CON_CENTRALES_INDE2" ON "TF2"."T_CON_CENTRALES" ("ID_CENTRALDIS");
REM TF2 T_CLIENTECONTADOR_INDEX2

  CREATE INDEX "TF2"."T_CLIENTECONTADOR_INDEX2" ON "TF2"."T_CLIENTECONTADOR" ("ID_NIF");
REM TF2 T_CLIENTECONTADOR_INDEX

  CREATE INDEX "TF2"."T_CLIENTECONTADOR_INDEX" ON "TF2"."T_CLIENTECONTADOR" ("ID_CONTADOR");

REM TF2 T_CENTRALESPRODUCCION_INDEX

  CREATE INDEX "TF2"."T_CENTRALESPRODUCCION_INDEX" ON "TF2"."T_CENTRALESPRODUCCION" ("ID_DIRECCION");

REM TF2 T_CENTRALESPRODUCCION_INDE2

  CREATE INDEX "TF2"."T_CENTRALESPRODUCCION_INDE2" ON "TF2"."T_CENTRALESPRODUCCION" ("ID_TIPOCENTRAL");

REM TF2 T_CENTRALESDISTRIBUCION_INDEX

  CREATE INDEX "TF2"."T_CENTRALESDISTRIBUCION_INDEX" ON "TF2"."T_CENTRALESDISTRIBUCION" ("ID_DIRECCION");

spool off;
 