SET SERVEROUTPUT ON;
spool c:\tfc\PRU_contadores.log
SET echo ON
DECLARE 
  RSP VARCHAR2(20000);
-- GESTION DE AMBCONTADOR
BEGIN
--MODELO CONTADOR
  --ALTA MODELO CONTADOR
  ambcontador.pr_alta_t_modelo('1024A',   to_date('02/02/2005',   'DD/MM/YYYY'),   'LUZSA',   'MODELO ANALOGICO',   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);
  --ALTA DE MODELO CONTADOR CON ERROR DE PARAMETRO
  ambcontador.pr_alta_t_modelo(NULL,   to_date('02/02/2005',   'DD/MM/YYYY'),   'LUZSA',   'MODELO ANALOGICO',   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);
  --REPETIMOS EL ALTA PARA COMPROBAR QUE CONTROLA QUE YA SE HA INTRODUCIDO
  ambcontador.pr_alta_t_modelo('1024A',   to_date('02/02/2005',   'DD/MM/YYYY'),   'LUZSA',   'MODELO ANALOGICO',   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);
  --REPETIMOS LA BAJA PARA COMPROBAR QUE CONTROLA QUE YA SE HA INTRODUCIDO
  ambcontador.pr_baja_t_modelo(21,   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);
  --MODIFICAR MODELO
  ambcontador.pr_modi_t_modelo(1,'FUNCIONA1',   to_date('02/02/2005',   'DD/MM/YYYY'),   'LUZSA',   'MODELO ANALOGICO',   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);
  --TRATAMOS DE MODIFICA REGISTRO INEXISTENTE 
  ambcontador.pr_modi_t_modelo(101,'FUNCIONA1',   to_date('02/02/2005',   'DD/MM/YYYY'),   'LUZSA',   'MODELO ANALOGICO',   rsp);
  DBMS_OUTPUT.PUT_LINE(RSP);
  --BAJA DE MODELO CONTADOR CON ERROR DE PARAMETRO
  ambcontador.pr_baja_t_modelo(NULL,   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);
  --BAJA DE MODELO CONTADOR
  ambcontador.pr_baja_t_modelo(1,   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);

  -- CREACION DE MODELOS DE CONTADOR PARA DIFERENTES PRUEBAS
  ambcontador.pr_alta_t_modelo('1024A',   to_date('02/02/2006',   'DD/MM/YYYY'),   'LUZSA',   'MODELO ANALOGICO',   rsp);
  ambcontador.pr_alta_t_modelo('1024A',   to_date('02/02/2001',   'DD/MM/YYYY'),   'FECSA',   'MODELO ANALOGICO',   rsp);
  ambcontador.pr_alta_t_modelo('1024A',   to_date('02/02/2010',   'DD/MM/YYYY'),   'SCHUTZ',   'MODELO DIGITAL',   rsp);
  ambcontador.pr_alta_t_modelo('1024A',   to_date('02/02/2010',   'DD/MM/YYYY'),   'SCHUTZ',   'MODELO DIGITAL',   rsp);
  ambcontador.pr_alta_t_modelo('1024A',   to_date('02/02/2009',   'DD/MM/YYYY'),   'LUZSA',   'MODELO DIGITAL',   rsp);
  ambcontador.pr_alta_t_modelo('1024A',   to_date('01/01/2009',   'DD/MM/YYYY'),   'FECSA',   'MODELO DIGITAL',   rsp);

--FIN MODELO CONTADOR

--CONTADOR
  --ALTA CONTADOR 
  ambcontador.pr_alta_contador(10.5,   2,   to_date('12/12/2005',   'DD/MM/YYYY'),   1,   '12545421K',   '35Lj5',   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);
  --REPETIMOS EL ALTA PARA COMPROBAR QUE CONTROLA QUE YA SE HA INTRODUCIDO
  ambcontador.pr_alta_contador(10.5,   2,   to_date('12/12/2005',   'DD/MM/YYYY'),   1,   '12545421K',   '35Lj5',   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);
  --ALTA CONTADOR CON ERROR DE PARAMETRO ID_DIRECCION INEXISTENTE
  ambcontador.pr_alta_contador(10,   1000,   to_date('12/12/2005',   'DD/MM/YYYY'),   2,   '1254421K',   '3Lj5',   rsp);
  --ALTA CONTADOR CON ERROR DE PARAMETRO ID_CONTADOR INEXISTENTE
  ambcontador.pr_alta_contador(10,   2,   to_date('12/12/2005',   'DD/MM/YYYY'),   1000,   '1254421K',   '3Lj5',   rsp);  
  --ALTA CONTADOR CON ERROR DE PARAMETRO
  ambcontador.pr_alta_contador(NULL,   NULL,   NULL,   61,   '12545421K',   '35Lj5',   rsp);
  --ALTA CONTADOR CON CODIGO DE CONTADOR DUPLICADO
  ambcontador.pr_alta_contador(10.6,   2,   to_date('12/12/2007',   'DD/MM/YYYY'),   4,   '12545421K',   '35Lj5',   rsp);
  --BAJA  CONTADOR CON ERROR DE PARAMETRO
  ambcontador.pr_baja_contador(NULL,   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);
  --MODIFICAR CONTADOR
  ambcontador.pr_modi_contador(1,15,   2,   to_date('12/12/2005',   'DD/MM/YYYY'),   2,to_date('20/12/2005',   'DD/MM/YYYY') ,  '12545421K',   '35Lj5',   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);
  --TRATAMOS DE MODIFICA REGISTRO INEXISTENTE 
  ambcontador.pr_modi_contador(160,10.5,   1,   to_date('12/12/2005',   'DD/MM/YYYY'),   2, to_date('13/12/2005',   'DD/MM/YYYY'),   '12545421K',   '35Lj5',   rsp);
  DBMS_OUTPUT.PUT_LINE(RSP);
  --BAJA CONTADOR
  ambcontador.pr_baja_contador(1,   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);
  --REPETIMOS LA BAJA PARA COMPROBAR QUE CONTROLA QUE YA SE HA BORRADO 
  ambcontador.pr_baja_contador(1,   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);

  -- CREACION DE CONTADORES PARA DIFERENTES PRUEBAS
  ambcontador.pr_alta_contador(10.5,   2,   to_date('12/12/2006',   'DD/MM/YYYY'),   2,   '45421K',   '3o5Lj5',   rsp);
  ambcontador.pr_alta_contador(11,     3,   to_date('12/12/2001',   'DD/MM/YYYY'),   3,   '225421K',   '35Lj6',   rsp);
  ambcontador.pr_alta_contador(12.5,   4,   to_date('12/12/2008',   'DD/MM/YYYY'),   4,   '2222421K',   '35Ll5',   rsp);
  ambcontador.pr_alta_contador(13.5,   5,   to_date('12/12/2009',   'DD/MM/YYYY'),   5,   '12545421K',   '35oLz5',   rsp);
  ambcontador.pr_alta_contador(14.5,   6,   to_date('12/12/2007',   'DD/MM/YYYY'),   6,   '12545422K',   '35Ll6',   rsp);
  ambcontador.pr_alta_contador(15.5,   2,   to_date('12/12/2006',   'DD/MM/YYYY'),   7,   '12545ee1K',   '35Lkk',   rsp);
  ambcontador.pr_alta_contador(16.5,   3,   to_date('12/10/2001',   'DD/MM/YYYY'),   8,   '12545dd1K',   '35Lrr',   rsp);
  ambcontador.pr_alta_contador(17.5,   4,   to_date('12/10/2008',   'DD/MM/YYYY'),   9,   '12545ff1K',   '35Lvv',   rsp);
  ambcontador.pr_alta_contador(18.5,   5,   to_date('12/10/2009',   'DD/MM/YYYY'),   10,   '1254gg21K',   '35Lww',   rsp);
  ambcontador.pr_alta_contador(19.5,   6,   to_date('12/10/2007',   'DD/MM/YYYY'),   11,   '12545h21K',   '35Lwz',   rsp);
  ambcontador.pr_alta_contador(12.5,   2,   to_date('12/10/2006',   'DD/MM/YYYY'),   12,   '125454j1K',   '35Lzz',   rsp);
--CONTADORES CON MISMO CODCONTRATO NO ALTAS
  ambcontador.pr_alta_contador(10.5,   2,   to_date('1/1/2006',   'DD/MM/YYYY'),   13,   '45421K',   '3o5Lj5',   rsp);
  ambcontador.pr_alta_contador(10.5,   3,   to_date('2/1/2001',   'DD/MM/YYYY'),   14,   '225421K',   '35Lj6',   rsp);
  ambcontador.pr_alta_contador(10.5,   4,   to_date('2/1/2008',   'DD/MM/YYYY'),   15,   '2222421K',   '35Ll5',   rsp);
  ambcontador.pr_alta_contador(20.5,   1,   to_date('2/1/2009',   'DD/MM/YYYY'),   16,   '12545421K',   '35oLz5',   rsp);
  ambcontador.pr_alta_contador(10.5,   1,   to_date('2/1/2007',   'DD/MM/YYYY'),   17,   '12545422K',   '35Ll6',   rsp);
  ambcontador.pr_alta_contador(10.5,   1,   to_date('2/1/2006',   'DD/MM/YYYY'),   18,   '12545ee1K',   '35Lkk',   rsp);
  ambcontador.pr_alta_contador(10.5,   1,   to_date('1/1/2001',   'DD/MM/YYYY'),   19,   '12545dd1K',   '35Lrr',   rsp);
  ambcontador.pr_alta_contador(10.5,   6,   to_date('1/9/2008',   'DD/MM/YYYY'),   20,   '12545ff1K',   '35Lvv',   rsp);
  ambcontador.pr_alta_contador(10.5,   4,   to_date('1/9/2009',   'DD/MM/YYYY'),   21,   '1254gg21K',   '35Lww',   rsp);
  ambcontador.pr_alta_contador(10.5,   2,   to_date('1/9/2007',   'DD/MM/YYYY'),   22,   '12545h21K',   '35Lwz',   rsp);
  ambcontador.pr_alta_contador(10.5,   5,   to_date('1/8/2006',   'DD/MM/YYYY'),   23,   '125454j1K',   '35Lzz',   rsp);

--FIN CONTADOR





END;


/

SHOW errors;

/

SPOOL off

