SET SERVEROUTPUT ON;
spool c:\tfc\CLIENTE.log
SET echo ON
DECLARE rsp VARCHAR2(20000);
BEGIN
  --CLIENTE
  
  --ALTA CLIENTE
  ambclientes.pr_alta_cliente('36360360k',   'JORGE',   'LOPEZ LOPEZ',   1200070522222,  19,   0,   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);
  --ALTA CLIENTE CON ERROR DE PARAMETROS
  ambclientes.pr_alta_cliente(NULL,   NULL,   NULL,   1200070522222,   81,   0,   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);
  --ALTA CLIENTE CON DIRECCION INEXISTENTE
  ambclientes.pr_alta_cliente('36360660l',   'JORG',   'LOPE LOPE',   12000599222,  1000,   0,   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);
  --REPETIMOS EL ALTA PARA COMPROBAR QUE CONTROLA QUE YA SE HA INTRODUCIDO
  ambclientes.pr_alta_cliente('36360360k',   'JORGE',   'LOPEZ LOPEZ',   1200070522222,  19,   0,   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);
  --MODIFICAR CLIENTE
  ambclientes.pr_modi_cliente(1,'36360360k',   'ANTONIO',   'LOPEZ LOPEZ',   1200070522222,   19,   0,   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);
  --TRATAMOS DE MODIFICA REGISTRO INEXISTENTE 
  ambclientes.pr_modi_cliente(1000,'36360360k',   'JORGE',   'LOPEZ LOPEZ',   1200070522222,   2,   0,   rsp);
   --TRATAMOS DE MODIFICA CON ERROR DE DIRECCION 
  ambclientes.pr_modi_cliente(1,'36360360k',   'JORGE',   'LOPEZ LOPEZ',   1200070522222,   1000,   0,   rsp);
  DBMS_OUTPUT.PUT_LINE(RSP);
  --BAJA CON ERROR DE PARAMETRO
  ambclientes.pr_baja_cliente(NULL,   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);
  --BAJA DE CLIENTE
  ambclientes.pr_baja_cliente(1,   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);
  --REPETIMOS LA BAJA PARA COMPROBAR QUE CONTROLA QUE YA SE HA INTRODUCIDO
  ambclientes.pr_baja_cliente(1,   rsp);
  DBMS_OUTPUT.PUT_LINE(rsp);
  --CREAMOS CLIENTES PARA PRUEBAS
    ambclientes.pr_alta_cliente('11111111k',   'MARC',   'SAULER LOPEZ',   1200099922222,   36,   0,   rsp);
    ambclientes.pr_alta_cliente('22222222k',   'JORDI',   'MARTI LOPEZ',   1226070522222,   37,   0,   rsp);
    ambclientes.pr_alta_cliente('33333333k',   'JOSE',   'SANCHEZ SANCHEZ',   4200070522222,   38,   0,   rsp);
    ambclientes.pr_alta_cliente('44444444k',   'EMPRESA S.A.',   'CARBUROS',   1220070522222,   39,   1,   rsp);
    ambclientes.pr_alta_cliente('55555555k',   'JORGE',   'SANCHES LOPEZ',   1200074422222,  40,   0,   rsp);
    ambclientes.pr_alta_cliente('66666666k',   'JUAN',   'PEREZ LOPEZ',   1200949492222,   41,   0,   rsp);
  
  --FIN CLIENTE
END;
/

SHOW errors;

/

SPOOL off